Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface Function

All Known Implementing Classes:
  AstFunctionDeclaration, PredefinedFunction, UndeclaredFunction

public interface Function

Any function or operator.

Pendung:
  - refine priorities.

Field Summary
`static int` | `ASSIGNMENT_PRIORITY`
`static int` | `FUNCTION_PRIORITY`
`static int` | `LOGICAL_PRIORITY`
`static int` | `PLUS_PRIORITY`
`static int` | `POWER_PRIORITY`
`static int` | `RELATIONAL_PRIORITY`
`static int` | `TIMES_PRIORITY`
`static int` | `UNARY_PRIORITY`

Method Summary
`java.lang.String` | `getName()` Returns the name of the node (operator symbol or function name).
`int` | `getNumberOfParameters()` Returns the number of required parameters, or -1 if any number of parameters is allowed.
`int` | `getPriority()` Returns the function or operator priority.

Field Detail

### LOGICAL_PRIORITY

    public static final int LOGICAL_PRIORITY

See Also:
  Constant Field Values

### RELATIONAL_PRIORITY

    public static final int RELATIONAL_PRIORITY

See Also:
  Constant Field Values

### PLUS_PRIORITY

    public static final int PLUS_PRIORITY

See Also:
  Constant Field Values

### TIMES_PRIORITY

    public static final int TIMES_PRIORITY

See Also:
  Constant Field Values

### UNARY_PRIORITY

    public static final int UNARY_PRIORITY

See Also:
  Constant Field Values

### POWER_PRIORITY

    public static final int POWER_PRIORITY

See Also:
  Constant Field Values

### FUNCTION_PRIORITY

    public static final int FUNCTION_PRIORITY

See Also:
  Constant Field Values

### ASSIGNMENT_PRIORITY

    public static final int ASSIGNMENT_PRIORITY

See Also:
  Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the node (operator symbol or function name).

### getPriority

    public int getPriority()

  Returns the function or operator priority.

### getNumberOfParameters

    public int getNumberOfParameters()

  Returns the number of required parameters, or -1 if any number of parameters is allowed.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.